Bug 505017 - Review Request: eclipse-veditor - Eclipse-based Verilog/VHDL plugin
Review Request: eclipse-veditor - Eclipse-based Verilog/VHDL plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 07:50 EDT by Chitlesh GOORAH
Modified: 2010-08-10 22:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.6.3-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-19 09:35:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2009-06-10 07:50:36 EDT
Spec URL: http://chitlesh.fedorapeople.org/RPMS/eclipse-veditor.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/eclipse-veditor-0.6.3-1.fc11.src.rpm
Description: 
Eclipse Verilog editor is a plugin for the Eclipse IDE.
It provides Verilog(IEEE-1364) and VHDL language specific code
viewer, contents outline, code assist etc. It helps coding and
debugging in hardware development based on Verilog or VHDL.
Comment 1 Alexander Kurtakov 2009-06-16 08:33:23 EDT
The srpm don't compile. Missing BuildRequires javacc.
Comment 3 Alexander Kurtakov 2009-06-17 10:47:27 EDT
Formal review:
[OK] MUST: rpmlint must be run on every package. No warnings/errors.
[OK] MUST: The package must be named according to the Package Naming Guidelines 
[OK] MUST: The spec file name match the base package %{name}        
[OK] MUST: The package must meet the   Packaging Guidelines
[OK] MUST: The package must be licensed with a Fedora approved license and meet the   Licensing Guidelines .                                  
[OK] MUST: The License field in the package spec file must match the actual license.                                                          
[OK] MUST: The spec file must be written in American English.
[OK] MUST: The spec file for the package MUST be legible.
[FAIL] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Source0 URL is not existing.           
[OK] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.                                
[OK] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional.                     
[OK] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
[OK] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[OK] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
[OK] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[OK] MUST: Each package must consistently use macros.
[OK] MUST: The package must contain code, or permissable content.
[OK] MUST: If a package includes something as %doc, it must not affect the runtime of the application. 
[OK] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. 
[OK] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[OK] MUST: All filenames in rpm packages must be valid UTF-8.
[TODO] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

The only fix needed is to fix Source0 URL.
And it would be good to ask upstream to include license file, but it's not blocking this review.
Comment 4 Chitlesh GOORAH 2009-06-17 10:55:26 EDT
I have uploaded the SRPM with respect to the source0 url. See release -2 again
Comment 6 Alexander Kurtakov 2009-06-17 11:08:58 EDT
Thanks.

This package is APPROVED.
Comment 7 Chitlesh GOORAH 2009-06-17 12:29:21 EDT
New Package CVS Request
=======================
Package Name: eclipse-veditor
Short Description: Eclipse-based Verilog/VHDL plugin
Owners: chitlesh
Branches: F-10 F-11
Comment 8 Jason Tibbitts 2009-06-17 12:41:19 EDT
CVS done.
Comment 9 Fedora Update System 2009-06-17 13:40:20 EDT
eclipse-veditor-0.6.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/eclipse-veditor-0.6.3-3.fc10
Comment 10 Fedora Update System 2009-06-17 13:40:25 EDT
eclipse-veditor-0.6.3-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/eclipse-veditor-0.6.3-3.fc11
Comment 11 Fedora Update System 2009-06-19 09:35:39 EDT
eclipse-veditor-0.6.3-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-06-19 09:37:20 EDT
eclipse-veditor-0.6.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Chitlesh GOORAH 2010-08-10 17:44:56 EDT
Package Change Request
======================
Package Name: eclipse-veditor
Short Description: Eclipse-based Verilog/VHDL plugin
New Branches: EL-5 EL-6
Owners:chitlesh
Comment 14 Jason Tibbitts 2010-08-10 22:04:30 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.